package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * SslVpnUserOpenApiGridVoSslVpnUserEntity
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class SslVpnUserOpenApiGridVoSslVpnUserEntity   {
  @JsonProperty("totalRows")
  private Long totalRows;

  @JsonProperty("currentPage")
  private Integer currentPage;

  @JsonProperty("currentSize")
  private Integer currentSize;

  @JsonProperty("data")
  @Valid
  private List<SslVpnUserEntity> data = null;

  @JsonProperty("total")
  private Integer total;

  @JsonProperty("available")
  private Integer available;

  @JsonProperty("expired")
  private Integer expired;

  public SslVpnUserOpenApiGridVoSslVpnUserEntity totalRows(Long totalRows) {
    this.totalRows = totalRows;
    return this;
  }

  /**
   * Total rows of all items.
   * @return totalRows
  */
  @ApiModelProperty(value = "Total rows of all items.")


  public Long getTotalRows() {
    return totalRows;
  }

  public void setTotalRows(Long totalRows) {
    this.totalRows = totalRows;
  }

  public SslVpnUserOpenApiGridVoSslVpnUserEntity currentPage(Integer currentPage) {
    this.currentPage = currentPage;
    return this;
  }

  /**
   * Current page number.
   * @return currentPage
  */
  @ApiModelProperty(value = "Current page number.")


  public Integer getCurrentPage() {
    return currentPage;
  }

  public void setCurrentPage(Integer currentPage) {
    this.currentPage = currentPage;
  }

  public SslVpnUserOpenApiGridVoSslVpnUserEntity currentSize(Integer currentSize) {
    this.currentSize = currentSize;
    return this;
  }

  /**
   * Number of entries per page.
   * @return currentSize
  */
  @ApiModelProperty(value = "Number of entries per page.")


  public Integer getCurrentSize() {
    return currentSize;
  }

  public void setCurrentSize(Integer currentSize) {
    this.currentSize = currentSize;
  }

  public SslVpnUserOpenApiGridVoSslVpnUserEntity data(List<SslVpnUserEntity> data) {
    this.data = data;
    return this;
  }

  public SslVpnUserOpenApiGridVoSslVpnUserEntity addDataItem(SslVpnUserEntity dataItem) {
    if (this.data == null) {
      this.data = new ArrayList<>();
    }
    this.data.add(dataItem);
    return this;
  }

  /**
   * Get data
   * @return data
  */
  @ApiModelProperty(value = "")

  @Valid

  public List<SslVpnUserEntity> getData() {
    return data;
  }

  public void setData(List<SslVpnUserEntity> data) {
    this.data = data;
  }

  public SslVpnUserOpenApiGridVoSslVpnUserEntity total(Integer total) {
    this.total = total;
    return this;
  }

  /**
   * Total number of the SSL VPN user
   * @return total
  */
  @ApiModelProperty(value = "Total number of the SSL VPN user")


  public Integer getTotal() {
    return total;
  }

  public void setTotal(Integer total) {
    this.total = total;
  }

  public SslVpnUserOpenApiGridVoSslVpnUserEntity available(Integer available) {
    this.available = available;
    return this;
  }

  /**
   * Available number of the SSL VPN user
   * @return available
  */
  @ApiModelProperty(value = "Available number of the SSL VPN user")


  public Integer getAvailable() {
    return available;
  }

  public void setAvailable(Integer available) {
    this.available = available;
  }

  public SslVpnUserOpenApiGridVoSslVpnUserEntity expired(Integer expired) {
    this.expired = expired;
    return this;
  }

  /**
   * Expired number of the SSL VPN user
   * @return expired
  */
  @ApiModelProperty(value = "Expired number of the SSL VPN user")


  public Integer getExpired() {
    return expired;
  }

  public void setExpired(Integer expired) {
    this.expired = expired;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SslVpnUserOpenApiGridVoSslVpnUserEntity sslVpnUserOpenApiGridVoSslVpnUserEntity = (SslVpnUserOpenApiGridVoSslVpnUserEntity) o;
    return Objects.equals(this.totalRows, sslVpnUserOpenApiGridVoSslVpnUserEntity.totalRows) &&
        Objects.equals(this.currentPage, sslVpnUserOpenApiGridVoSslVpnUserEntity.currentPage) &&
        Objects.equals(this.currentSize, sslVpnUserOpenApiGridVoSslVpnUserEntity.currentSize) &&
        Objects.equals(this.data, sslVpnUserOpenApiGridVoSslVpnUserEntity.data) &&
        Objects.equals(this.total, sslVpnUserOpenApiGridVoSslVpnUserEntity.total) &&
        Objects.equals(this.available, sslVpnUserOpenApiGridVoSslVpnUserEntity.available) &&
        Objects.equals(this.expired, sslVpnUserOpenApiGridVoSslVpnUserEntity.expired);
  }

  @Override
  public int hashCode() {
    return Objects.hash(totalRows, currentPage, currentSize, data, total, available, expired);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SslVpnUserOpenApiGridVoSslVpnUserEntity {\n");
    
    sb.append("    totalRows: ").append(toIndentedString(totalRows)).append("\n");
    sb.append("    currentPage: ").append(toIndentedString(currentPage)).append("\n");
    sb.append("    currentSize: ").append(toIndentedString(currentSize)).append("\n");
    sb.append("    data: ").append(toIndentedString(data)).append("\n");
    sb.append("    total: ").append(toIndentedString(total)).append("\n");
    sb.append("    available: ").append(toIndentedString(available)).append("\n");
    sb.append("    expired: ").append(toIndentedString(expired)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

